gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.BytesIcon

Contents

- Exported types
- Methods
  - getBytes
  - new
- Properties
  - bytes

Description

`BytesIcon` specifies an image held in memory in a common format (usually png) to be used as icon.

Since: 2.38

Synopsis

- newtype BytesIcon = BytesIcon (ManagedPtr BytesIcon)
- class GObject o => IsBytesIcon o
- toBytesIcon :: (MonadIO m, IsBytesIcon o) => o -> m BytesIcon
- noBytesIcon :: Maybe BytesIcon
- bytesIconGetBytes :: (HasCallStack, MonadIO m, IsBytesIcon a) => a -> m Bytes
- bytesIconNew :: (HasCallStack, MonadIO m) => Bytes -> m BytesIcon
- constructBytesIconBytes :: IsBytesIcon o => Bytes -> IO (GValueConstruct o)
- getBytesIconBytes :: (MonadIO m, IsBytesIcon o) => o -> m Bytes

# Exported types

newtype BytesIcon Source #

Memory-managed wrapper type.

Constructors

BytesIcon (ManagedPtr BytesIcon) |

Instances

GObject BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon Methods gobjectType :: BytesIcon -> IO GType Source #
IsObject BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon
IsIcon BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon
IsLoadableIcon BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon
IsBytesIcon BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon

class GObject o => IsBytesIcon o Source #

Type class for types which can be safely cast to `BytesIcon`, for instance with `toBytesIcon`.

Instances

(GObject a, (UnknownAncestorError BytesIcon a :: Constraint)) => IsBytesIcon a Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon
IsBytesIcon BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon

toBytesIcon :: (MonadIO m, IsBytesIcon o) => o -> m BytesIcon Source #

Cast to `BytesIcon`, for types for which this is known to be safe. For general casts, use `castTo`.

noBytesIcon :: Maybe BytesIcon Source #

A convenience alias for `Nothing` :: `Maybe` `BytesIcon`.

# Methods

## getBytes

bytesIconGetBytes Source #

Arguments

:: (HasCallStack, MonadIO m, IsBytesIcon a) |
=> a | `icon`: a `Icon`.
-> m Bytes | Returns: a `Bytes`, or `Nothing`.

Gets the `Bytes` associated with the given `icon`.

Since: 2.38

## new

bytesIconNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Bytes | `bytes`: a `Bytes`.
-> m BytesIcon | Returns: a `Icon` for the given `bytes`, or `Nothing` on error.

Creates a new icon for a bytes.

Since: 2.38

# Properties

## bytes

The bytes containing the icon.

constructBytesIconBytes :: IsBytesIcon o => Bytes -> IO (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`bytes`” property. This is rarely needed directly, but it is used by `new`.

getBytesIconBytes :: (MonadIO m, IsBytesIcon o) => o -> m Bytes Source #

Get the value of the “`bytes`” property. When overloading is enabled, this is equivalent to

    get bytesIcon #bytes